Support » Plugin: GPXpress » HTTPS support

  • Hi,

    I run a WP instance on a HTTPS URL and I noticed that GPXpress has a few issues when running under HTTPS.

    First: the URLs for the Leaflet JS and CSS are hardcoded to http://, so modern browsers will refuse to load these scripts as ‘unsafe’. Changing the URLs and leave out the protocol (//cdn.leafletjs.com/…) would be a solution, if it weren’t for the second issue, being that cdn.leafletjs.com doesn’t properly support HTTPS, it serves a certificate for another domain

    You would have to consider importing the script and CSS from somewhere else, for example:

    //cdnjs.cloudflare.com/ajax/libs/leaflet/0.7.3/leaflet.js
    //cdnjs.cloudflare.com/ajax/libs/leaflet/0.7.3/leaflet.css

    Hope this helps.

    https://wordpress.org/plugins/gpxpress/

  • The topic ‘HTTPS support’ is closed to new replies.